package com.memorynotfound.hibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;

public class App {

    public static void main (String...args){

        Session session = HibernateUtil.getSession();
        Transaction tx = session.beginTransaction();

        Collar favoriteCollar = new Collar("spiked-collar");
        Dog pluto = new Dog("pluto", favoriteCollar);

        session.save(pluto);
        tx.commit();

        session.close();
        HibernateUtil.shutdown();
    }
}
